Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about a Vultr virtual file system storage subscription.
Example Usage
Get the information for a virtual file system storage subscription by label:
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const myVfsStorage = vultr.getVirtualFileSystemStorage({
filters: [{
name: "label",
values: ["my-vfs-storage-label"],
}],
});
import pulumi
import pulumi_vultr as vultr
my_vfs_storage = vultr.get_virtual_file_system_storage(filters=[{
"name": "label",
"values": ["my-vfs-storage-label"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.LookupVirtualFileSystemStorage(ctx, &vultr.LookupVirtualFileSystemStorageArgs{
Filters: []vultr.GetVirtualFileSystemStorageFilter{
{
Name: "label",
Values: []string{
"my-vfs-storage-label",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var myVfsStorage = Vultr.GetVirtualFileSystemStorage.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetVirtualFileSystemStorageFilterInputArgs
{
Name = "label",
Values = new[]
{
"my-vfs-storage-label",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetVirtualFileSystemStorageArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var myVfsStorage = VultrFunctions.getVirtualFileSystemStorage(GetVirtualFileSystemStorageArgs.builder()
.filters(GetVirtualFileSystemStorageFilterArgs.builder()
.name("label")
.values("my-vfs-storage-label")
.build())
.build());
}
}
variables:
myVfsStorage:
fn::invoke:
function: vultr:getVirtualFileSystemStorage
arguments:
filters:
- name: label
values:
- my-vfs-storage-label
Using getVirtualFileSystemStorage
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getVirtualFileSystemStorage(args: GetVirtualFileSystemStorageArgs, opts?: InvokeOptions): Promise<GetVirtualFileSystemStorageResult>
function getVirtualFileSystemStorageOutput(args: GetVirtualFileSystemStorageOutputArgs, opts?: InvokeOptions): Output<GetVirtualFileSystemStorageResult>def get_virtual_file_system_storage(filters: Optional[Sequence[GetVirtualFileSystemStorageFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetVirtualFileSystemStorageResult
def get_virtual_file_system_storage_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetVirtualFileSystemStorageFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetVirtualFileSystemStorageResult]func LookupVirtualFileSystemStorage(ctx *Context, args *LookupVirtualFileSystemStorageArgs, opts ...InvokeOption) (*LookupVirtualFileSystemStorageResult, error)
func LookupVirtualFileSystemStorageOutput(ctx *Context, args *LookupVirtualFileSystemStorageOutputArgs, opts ...InvokeOption) LookupVirtualFileSystemStorageResultOutput> Note: This function is named LookupVirtualFileSystemStorage in the Go SDK.
public static class GetVirtualFileSystemStorage
{
public static Task<GetVirtualFileSystemStorageResult> InvokeAsync(GetVirtualFileSystemStorageArgs args, InvokeOptions? opts = null)
public static Output<GetVirtualFileSystemStorageResult> Invoke(GetVirtualFileSystemStorageInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetVirtualFileSystemStorageResult> getVirtualFileSystemStorage(GetVirtualFileSystemStorageArgs args, InvokeOptions options)
public static Output<GetVirtualFileSystemStorageResult> getVirtualFileSystemStorage(GetVirtualFileSystemStorageArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getVirtualFileSystemStorage:getVirtualFileSystemStorage
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Virtual File System Storage Filter> - Query parameters for finding virtual file system storage subscriptions.
- Filters
[]Get
Virtual File System Storage Filter - Query parameters for finding virtual file system storage subscriptions.
- filters
List<Get
Virtual File System Storage Filter> - Query parameters for finding virtual file system storage subscriptions.
- filters
Get
Virtual File System Storage Filter[] - Query parameters for finding virtual file system storage subscriptions.
- filters
Sequence[Get
Virtual File System Storage Filter] - Query parameters for finding virtual file system storage subscriptions.
- filters List<Property Map>
- Query parameters for finding virtual file system storage subscriptions.
getVirtualFileSystemStorage Result
The following output properties are available:
- Attached
Instances List<string> - A list of instance IDs currently attached to the virtual file system storage.
- Attachments
List<ediri.
Vultr. Outputs. Get Virtual File System Storage Attachment> - A list of attchment states for instances currently attached to the virtual file system storage.
- Charges double
- The current pending charges for the virtual file system storage subscription in USD.
- Cost double
- The cost per month of the virtual file system storage subscription in USD.
- Date
Created string - The date the virtual file system storage subscription was added to your Vultr account.
- Disk
Type string - The underlying disk type used by the virtual file system storage subscription.
- Id string
- The provider-assigned unique ID for this managed resource.
- Label string
- The label of the virtual file system storage subscription.
- Region string
- The region ID of the virtual file system storage subscription.
- Size
Gb int - The size of the virtual file system storage subscription in GB.
- Status string
- The status of the virtual file system storage subscription.
- List<string>
- A list of tags used on the virtual file system storage subscription.
- Filters
List<ediri.
Vultr. Outputs. Get Virtual File System Storage Filter>
- Attached
Instances []string - A list of instance IDs currently attached to the virtual file system storage.
- Attachments
[]Get
Virtual File System Storage Attachment - A list of attchment states for instances currently attached to the virtual file system storage.
- Charges float64
- The current pending charges for the virtual file system storage subscription in USD.
- Cost float64
- The cost per month of the virtual file system storage subscription in USD.
- Date
Created string - The date the virtual file system storage subscription was added to your Vultr account.
- Disk
Type string - The underlying disk type used by the virtual file system storage subscription.
- Id string
- The provider-assigned unique ID for this managed resource.
- Label string
- The label of the virtual file system storage subscription.
- Region string
- The region ID of the virtual file system storage subscription.
- Size
Gb int - The size of the virtual file system storage subscription in GB.
- Status string
- The status of the virtual file system storage subscription.
- []string
- A list of tags used on the virtual file system storage subscription.
- Filters
[]Get
Virtual File System Storage Filter
- attached
Instances List<String> - A list of instance IDs currently attached to the virtual file system storage.
- attachments
List<Get
Virtual File System Storage Attachment> - A list of attchment states for instances currently attached to the virtual file system storage.
- charges Double
- The current pending charges for the virtual file system storage subscription in USD.
- cost Double
- The cost per month of the virtual file system storage subscription in USD.
- date
Created String - The date the virtual file system storage subscription was added to your Vultr account.
- disk
Type String - The underlying disk type used by the virtual file system storage subscription.
- id String
- The provider-assigned unique ID for this managed resource.
- label String
- The label of the virtual file system storage subscription.
- region String
- The region ID of the virtual file system storage subscription.
- size
Gb Integer - The size of the virtual file system storage subscription in GB.
- status String
- The status of the virtual file system storage subscription.
- List<String>
- A list of tags used on the virtual file system storage subscription.
- filters
List<Get
Virtual File System Storage Filter>
- attached
Instances string[] - A list of instance IDs currently attached to the virtual file system storage.
- attachments
Get
Virtual File System Storage Attachment[] - A list of attchment states for instances currently attached to the virtual file system storage.
- charges number
- The current pending charges for the virtual file system storage subscription in USD.
- cost number
- The cost per month of the virtual file system storage subscription in USD.
- date
Created string - The date the virtual file system storage subscription was added to your Vultr account.
- disk
Type string - The underlying disk type used by the virtual file system storage subscription.
- id string
- The provider-assigned unique ID for this managed resource.
- label string
- The label of the virtual file system storage subscription.
- region string
- The region ID of the virtual file system storage subscription.
- size
Gb number - The size of the virtual file system storage subscription in GB.
- status string
- The status of the virtual file system storage subscription.
- string[]
- A list of tags used on the virtual file system storage subscription.
- filters
Get
Virtual File System Storage Filter[]
- attached_
instances Sequence[str] - A list of instance IDs currently attached to the virtual file system storage.
- attachments
Sequence[Get
Virtual File System Storage Attachment] - A list of attchment states for instances currently attached to the virtual file system storage.
- charges float
- The current pending charges for the virtual file system storage subscription in USD.
- cost float
- The cost per month of the virtual file system storage subscription in USD.
- date_
created str - The date the virtual file system storage subscription was added to your Vultr account.
- disk_
type str - The underlying disk type used by the virtual file system storage subscription.
- id str
- The provider-assigned unique ID for this managed resource.
- label str
- The label of the virtual file system storage subscription.
- region str
- The region ID of the virtual file system storage subscription.
- size_
gb int - The size of the virtual file system storage subscription in GB.
- status str
- The status of the virtual file system storage subscription.
- Sequence[str]
- A list of tags used on the virtual file system storage subscription.
- filters
Sequence[Get
Virtual File System Storage Filter]
- attached
Instances List<String> - A list of instance IDs currently attached to the virtual file system storage.
- attachments List<Property Map>
- A list of attchment states for instances currently attached to the virtual file system storage.
- charges Number
- The current pending charges for the virtual file system storage subscription in USD.
- cost Number
- The cost per month of the virtual file system storage subscription in USD.
- date
Created String - The date the virtual file system storage subscription was added to your Vultr account.
- disk
Type String - The underlying disk type used by the virtual file system storage subscription.
- id String
- The provider-assigned unique ID for this managed resource.
- label String
- The label of the virtual file system storage subscription.
- region String
- The region ID of the virtual file system storage subscription.
- size
Gb Number - The size of the virtual file system storage subscription in GB.
- status String
- The status of the virtual file system storage subscription.
- List<String>
- A list of tags used on the virtual file system storage subscription.
- filters List<Property Map>
Supporting Types
GetVirtualFileSystemStorageAttachment
- Instance
Id string - Mount int
- State string
- Instance
Id string - Mount int
- State string
- instance
Id String - mount Integer
- state String
- instance
Id string - mount number
- state string
- instance_
id str - mount int
- state str
- instance
Id String - mount Number
- state String
GetVirtualFileSystemStorageFilter
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
